<html>
    <head>
        <style type="text/css" media="print">
            @page{
                margin: 30px 40px 50px 30px;
                /* ensure you append the header/footer name with 'html_' */
                header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
                footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
            }
        </style>
    </head>
    <body>
        <?php
        if ($formatcetak == 'excel') {
            header("Content-type: application/vnd-ms-excel");
            header("Content-Disposition: attachment; filename=cetakdaftarketetapan.xls");
        }

        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');

        $namabulan_text = [
            "Januari",
            "Februari",
            "Maret",
            "April",
            "Mei",
            "Juni",
            "Juli",
            "Agustus",
            "September",
            "Oktober",
            "November",
            "Desember"
        ];
        ?>
        <div style="position:absolute;top:30px;left:30px"><img src="<?= $ar_pemda->s_logo ?>" width="70"></div>
        <div>
            <div style='width: 100%;font-family:sans-serif;text-align: center;'>
                <strong style=" font-size: 13pt; ">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></strong><br>
                <strong style=" font-size: 15pt; "><?= strtoupper($ar_pemda->s_namainstansi); ?></strong><br>
                <span style="font-size:10pt"><?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
            </div>
            <hr style="color: black">
            <h4 style="font-family:sans-serif;text-align: center">DAFTAR KETETAPAN PAJAK DAERAH<?= $jenis_pendaftaran ?> <?= $status_wp ?></h4>
            <p style="font-size: 10pt; line-height: 5px"> 
                Tanggal Penetapan : <?= $tglpenetapan0 ?> s/d <?= $tglpenetapan1 ?>
            </p>
            <table width="100%" cellspacing="3" cellpadding="3" style="border-collapse: collapse;font-family: arial;">
                <thead>
                    <tr style="background:#eae9e9">
                        <th rowspan="2" style="border: 1px solid black;">NO</th>
                        <th colspan="2" style="border: 1px solid black;">S K P D</th>
                        <th rowspan="2" style="border: 1px solid black;">NPWPD</th>
                        <th rowspan="2" style="border: 1px solid black;">NAMA WAJIB PAJAK</th>
                        <th rowspan="2" style="border: 1px solid black;">NAMA OBJEK</th>
                        <th rowspan="2" style="border: 1px solid black;">ALAMAT OBJEK</th>
                        <th rowspan="2" style="border: 1px solid black;">JUMLAH PAJAK (Rp.)</th>
                        <th rowspan="2" style="border: 1px solid black;">MASA PAJAK</th>
                        <th rowspan="2" style="border: 1px solid black;">NAMA REKENING</th>
                    </tr>
                    <tr style="background:#eae9e9">
                        <th style="border: 1px solid black;">TANGGAL</th>
                        <th style="border: 1px solid black;">NO.KOHIR</th>
                    </tr>
                </thead>
                <?php
                $counter = 1;
                foreach ($data as $row):
                    ?>
                    <tbody>
                        <tr>
                            <td style="border: 1px solid black;text-align: right;vertical-align: top;"><?= $counter++ ?>.</td>
                            <td style="border: 1px solid black;text-align: center;vertical-align: top;"><?= date('d-m-Y', strtotime($row['t_tglpenetapan'])) ?></td>
                            <td style="border: 1px solid black;text-align: center;vertical-align: top;"><?= $row['t_nopenetapan'] ?></td>
                            <td style="border: 1px solid black;text-align: center;vertical-align: top;"><?= $row['t_npwpd'] ?></td>
                            <td style="border: 1px solid black;vertical-align: top;"><?= $row['t_nama'] ?></td>
                            <td style="border: 1px solid black;vertical-align: top;"><?= $row['t_namaobjek'] ?></td>
                            <td style="border: 1px solid black;vertical-align: top;"><?= $row['t_alamatlengkapobjek'] ?></td>
                            <td style="border: 1px solid black;text-align: right;vertical-align: top;"><?= ($formatcetak == 'pdf') ? number_format($row['t_jmlhpajak'], 0, ",", ".") : number_format($row['t_jmlhpajak']) ?></td>
                            <td style="border: 1px solid black;text-align: center;vertical-align: top;"><?= date('d-m-Y', strtotime($row['t_masaawal'])) . ' s.d ' . date('d-m-Y', strtotime($row['t_masaakhir'])) ?></td>
                            <td style="border: 1px solid black;vertical-align: top;"><?= $row['s_namajenis']?></td>
                        </tr>
                    </tbody>
                <?php endforeach; ?>
                <tr>
                    <td colspan="10"></td>
                </tr>
                <tr>
                    <td colspan="4" style="text-align:center;">
                        Mengetahui<br>
                        <?= $ar_mengetahui->s_jabatanpej ?>
                        <br><br><br><br><br><br>
                        <u><b><?= $ar_mengetahui->s_namapej ?></b></u><br>
                        NIP <?= $ar_mengetahui->s_nippej ?>
                    </td>
                    <td colspan="3"></td>
                    <td colspan="3" style="text-align:center;">
                        <?= $ar_pemda->s_namaibukotakabkota . ', ' . date('d', strtotime($tglcetak)) . " " . $namabulan_text[date('m', strtotime($tglcetak)) - 1] . " " . date('Y', strtotime($tglcetak)) ?>
                        <br>
                        <?= $ar_diperiksa->s_jabatanpej ?>
                        <br><br><br><br><br><br>
                        <u><b><?= $ar_diperiksa->s_namapej ?></b></u><br>
                        NIP <?= $ar_diperiksa->s_nippej ?>  
                    </td>
                </tr>
            </table>
        </div>
        <?php if ($formatcetak == 'pdf') { ?>
        <htmlpagefooter name="MyCustomFooter">
            <table style="vertical-align: bottom; font-family:sans-serif;font-size: 7pt;" width="100%">
                <tbody>
                    <tr>
                            <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                        <td style="font-style: italic;text-align: left;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                        <td style="font-style: italic;text-align: right;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                    </tr>
                </tbody>
            </table>
        </htmlpagefooter>
    <?php } ?>
</body>
</html>